<?php

final class SemiStructuredObjectTypeTransaction
  extends PhabricatorModularTransaction {

  public function getApplicationName() {
    return 'semistructured';
  }

  public function getApplicationTransactionType() {
    return SemiStructuredObjectTypePHIDType::TYPECONST;
  }

  public function getApplicationTransactionCommentObject() {
    return new SemiStructuredObjectTypeTransactionComment();
  }

  public function getBaseTransactionClass() {
    return 'SemiStructuredObjectTypeTransactionType';
  }

}
